Subject: bug#50625: ghostscript shell scripts refer to unqualified external commands

From: Jack Hill <[email-masked]>
Date: Thu, 16 Sep 2021 11:28:40 -0400 (EDT)

Hi Guix,

Many of the commands, e.g. ps2pdf, provided by the ghostscript package are 
implemented as shell scripts that do some argument or file name processing 
before invoking the main gs binary. These scripts invoke external commands 
like basename, awk, dirname, and even gs by dynamically looking them up 
PATH. Instead, they should refer to a specific path in the store so that 
the behavior of ghostscript doesn't depend on the environment and so that 
Guix can see these references.

Best,
Jack